public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
From: mornfall@sourceware.org
To: lvm-devel@redhat.com, lvm2-cvs@sourceware.org
Subject: LVM2/test t-pvcreate-operation-md.sh
Date: Mon, 24 May 2010 15:28:00 -0000	[thread overview]
Message-ID: <20100524152846.6076.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2010-05-24 15:28:45

Modified files:
	test           : t-pvcreate-operation-md.sh 

Log message:
	Skip t-pvcreate-operation-md if mdadm fails to create the required device.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-pvcreate-operation-md.sh.diff?cvsroot=lvm2&r1=1.5&r2=1.6

--- LVM2/test/t-pvcreate-operation-md.sh	2010/04/13 21:42:44	1.5
+++ LVM2/test/t-pvcreate-operation-md.sh	2010/05/24 15:28:45	1.6
@@ -45,9 +45,10 @@
 }
 
 # create 2 disk MD raid0 array (stripe_width=128K)
-[ -b "$mddev" ] && exit 200
+test -b "$mddev" && exit 200
 mdadm --create $mddev --auto=md --level 0 --raid-devices=2 --chunk 64 $dev1 $dev2
 trap 'aux cleanup_md' EXIT # cleanup this MD device at the end of the test
+test -b "$mddev" || exit 200
 
 # Test alignment of PV on MD without any MD-aware or topology-aware detection
 # - should treat $mddev just like any other block device


             reply	other threads:[~2010-05-24 15:28 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-05-24 15:28 mornfall [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-01-28 16:12 zkabelac
2011-01-05  1:04 mornfall
2011-01-05  0:38 mornfall
2010-08-21 15:43 snitzer
2010-08-12  4:56 snitzer
2010-07-21 14:12 mornfall
2010-04-13 21:42 wysochanski
2010-01-19 15:59 snitzer
2009-09-13 19:28 mbroz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20100524152846.6076.qmail@sourceware.org \
    --to=mornfall@sourceware.org \
    --cc=lvm-devel@redhat.com \
    --cc=lvm2-cvs@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).